package vista;

import java.awt.Rectangle;

import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;

public class Vista extends JFrame {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	public JMenuBar menuBar;
	public JMenu mnJuego;
	public JMenuItem mntmNuevo;
	public JMenuItem mntmSalir;
	public JMenu mnAyuda;
	public JMenuItem mntmInstrucciones;
	public JMenuItem mntmAcercaDe;

	public PanelDatos pnlDatos;
	public PanelJuego pnlJuego;

	public Vista() {
		super();
		setResizable(false);
		setTitle("Pumba v1.0");
		setBounds(new Rectangle(0, 0, 450, 570));
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		pnlJuego = new PanelJuego();
		pnlJuego.setSize(this.getSize());
		pnlDatos = new PanelDatos();

		menuBar = new JMenuBar();
		setJMenuBar(menuBar);

		mnJuego = new JMenu("Juego");
		menuBar.add(mnJuego);

		mntmNuevo = new JMenuItem("Nuevo");
		mntmNuevo.setActionCommand("nuevo");
		mnJuego.add(mntmNuevo);

		mntmSalir = new JMenuItem("Salir");
		mntmSalir.setActionCommand("salir");
		mnJuego.add(mntmSalir);

		mnAyuda = new JMenu("Ayuda");
		menuBar.add(mnAyuda);

		mntmInstrucciones = new JMenuItem("Instrucciones...");
		mntmInstrucciones.setActionCommand("instrucciones");
		mnAyuda.add(mntmInstrucciones);

		mntmAcercaDe = new JMenuItem("Acerca de...");
		mntmAcercaDe.setActionCommand("acercaDe");
		mnAyuda.add(mntmAcercaDe);

		setContentPane(pnlDatos);
		setVisible(true);

	}
}
